Get a transfer
The releases in the transfer and a count by status.
GET
/
delivery
/
transfers
/
{transferId}
Get a transfer
curl --request GET \
--url https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"transfer": {
"externalId": "<string>",
"id": "<string>",
"accountId": "<string>",
"name": "<string>",
"previousDistributor": "<string>",
"notes": "<string>",
"status": "open",
"submittedAt": "2023-11-07T05:31:56Z",
"totals": {
"releases": 123,
"byStatus": {
"draft": 12,
"in_review": 3
}
},
"releases": [
{
"externalId": "<string>",
"id": "<string>",
"title": "<string>",
"upc": "<string>",
"status": "draft"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}⌘I
Get a transfer
curl --request GET \
--url https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ammdistro.com/api/v2/external/delivery/transfers/{transferId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"transfer": {
"externalId": "<string>",
"id": "<string>",
"accountId": "<string>",
"name": "<string>",
"previousDistributor": "<string>",
"notes": "<string>",
"status": "open",
"submittedAt": "2023-11-07T05:31:56Z",
"totals": {
"releases": 123,
"byStatus": {
"draft": 12,
"in_review": 3
}
},
"releases": [
{
"externalId": "<string>",
"id": "<string>",
"title": "<string>",
"upc": "<string>",
"status": "draft"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}